package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WorkHoursConfirm extends HRBillBase implements IWorkHoursConfirm
{
    public WorkHoursConfirm()
    {
        super();
        registerInterface(IWorkHoursConfirm.class, this);
    }
    public WorkHoursConfirm(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHoursConfirm.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1B8E9CE3");
    }
    private WorkHoursConfirmController getController() throws BOSException
    {
        return (WorkHoursConfirmController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHoursConfirmCollection getWorkHoursConfirmCollection() throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHoursConfirmCollection getWorkHoursConfirmCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHoursConfirmCollection getWorkHoursConfirmCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHoursConfirmCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHoursConfirmInfo getWorkHoursConfirmInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHoursConfirmInfo getWorkHoursConfirmInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHoursConfirmInfo getWorkHoursConfirmInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursConfirmInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}